<div class="row">
    <div class="col s12">
      <div class="card">
        <div class="card-content white-text">
          <div class="row">
            <div class="col s5">
              <form #employeeForm="ngForm" (ngSubmit)="onSubmit(employeeForm)">
                <input type="hidden" name="_id" #_id="ngModel" [(ngModel)]="employeeService.selectedEmployee._id">
                <div class="row">
                  <div class="input-field col s12">
                    <input type="text" name="name" #name="ngModel" [(ngModel)]="employeeService.selectedEmployee.name" placeholder="Enter full name" required>
                    <label>Name :
                      <label class="red-text">*</label>
                    </label>
                  </div>
                </div>
                <div class="row">
                  <div class="input-field col s12">
                    <input type="text" name="age" #name="ngModel" [(ngModel)]="employeeService.selectedEmployee.age" placeholder="Enter the age in digits">
                    <label>Age :</label>
                  </div>
                </div>
                <div class="row">
                  <div class="input-field col s12">
                    <input type="text" name="email" #name="ngModel" [(ngModel)]="employeeService.selectedEmployee.email" placeholder="Enter valid email">
                    <label>Email :</label>
                  </div>
                </div>
                <div class="row">
                  <div class="input-field col s12">
                    <input type="text" name="phone" #name="ngModel" [(ngModel)]="employeeService.selectedEmployee.phone" placeholder="Enter the phone number ">
                    <label>Phone number: :</label>
                  </div>
                </div>
                <div class="row">
                  <div class="input-field col s12">
                    <button class="btn btn-custom right" type="button" (click)="resetForm(employeeForm)">Reset</button>
                    <button class="btn btn-custom right" type="submit" [disabled]="!employeeForm.valid">Submit</button>
                  </div>
                </div>
              </form>
            </div>
            <div class="col s7">
                <table class="responsive-table highlight">
                    <thead>
                      <tr>
                        <th>Name</th>
                        <th>age</th>
                        <th>phone</th>
                        <th></th>
                      </tr>
                    </thead>
                    <tr *ngFor="let emp of employeeService.employees">
                      <td>{{emp.name}}</td>
                      <td>{{emp.age}}</td>
                      <td>{{emp.phone}}</td>
                      <td>
                          <a class="action-btn" (click)="onEdit(emp)">
                            <i class="material-icons">edit</i>
                          </a>
                          <a class="action-btn" (click)="onDelete(emp._id,employeeForm)">
                            <i class="material-icons">delete</i>
                          </a>
                        </td>
                    </tr>
                  </table>
            </div>
          </div>
        </div>
      </div>
    </div>
  
  </div>